<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();

$spath=pathinfo(__FILE__);
if (LANGUAGE_ID=="ru") __IncludeLang($spath["dirname"]."/lang/ru-".strtolower(LANG_CHARSET)."/".$spath["basename"]);

define("WIZ_UNI_DATA_DIR", "/bitrix/wizards/grain/code.fill/data/");
define("WIZ_UNI_VARS_DIR", "/bitrix/wizards/grain/code.fill/temp/");

require_once($spath["dirname"]."/scripts/functions.php");
if (LANGUAGE_ID=="ru") __IncludeLang($spath["dirname"]."/lang/ru-".strtolower(LANG_CHARSET)."/scripts/functions.php");
else __IncludeLang($spath["dirname"]."/lang/en/scripts/functions.php");

class Step1 extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('UNI_STEP1_TITLE'));
		$this->SetStepID("step1");
		$this->SetCancelStep("cancel");
	}

	function ShowStep()
	{
		
		if(CModule::IncludeModule("iblock")) {
		
			$this->content = "<p>".GetMessage("UNI_STEP1_DESCRIPTION")."</p>";
		
			$rsIBlockTypes = CIBlockType::GetList(Array("SORT"=>"ASC"));
			
			while($arIBlockType=$rsIBlockTypes->Fetch()) if($arIBType = CIBlockType::GetByIDLang($arIBlockType["ID"], LANG)) {
			
				$rsIblocks = CIBlock::GetList(Array("SORT"=>"ASC"),Array("TYPE"=>$arIBlockType["ID"]));
				
				$arIblocks = Array();

				while($arIBlock=$rsIblocks->GetNext()) 
					$arIblocks[] = $arIBlock;

				$this->content .= "<b>".$arIBType["NAME"]."</b> ";
								
				$this->content .= "<br />";
								
				foreach($arIblocks as $arIBlock) {
				
					$this->content .= "<label for=\"grain_wizIPC_iblock_".$arIBlock["ID"]."\">".$this->ShowRadioField("IBLOCK_ID", $arIBlock["ID"],Array("id"=>"grain_wizIPC_iblock_".$arIBlock["ID"]))." [".$arIBlock["ID"]."] ".$arIBlock["NAME"]."</label><br />";
			
				}
							
			}

			if(count(GUniWizardTools::GetLogList())>0)
				$this->content .= '<p style="color:red">'.GetMessage("UNI_WARNING1").'</p>';

			$this->SetNextStep("step2");
			
		} else {

			$this->SetError(GetMessage('UNI_ERROR1'), "error1");

		}
		
	}

	function OnPostForm()
	{
		$wizard = &$this->GetWizard();
	
		global $DB;
	
		if ($wizard->IsNextButtonClick() || $wizard->IsFinishButtonClick())
		{
			$arErrors = Array();
			
			if (intval($wizard->GetVar("IBLOCK_ID"))<=0) 
				$arErrors[] = GetMessage('UNI_ERROR2');

			if(count($arErrors)>0) 
				$this->SetError(implode("<br />", $arErrors), "error2");
			
		}
	}


}


class Step2 extends CWizardStep
{
	function InitStep()
	{

		$this->SetTitle(GetMessage('UNI_STEP2_TITLE'));
		$this->SetPrevStep("step1");
		$this->SetNextStep("step3");
		$this->SetStepID("step2");

		$this->SetCancelStep("cancel");
		
		$wizard = &$this->GetWizard();

		$wizard->SetDefaultVar("WIZ_UNI_STEP_LENGTH", "10");
		$wizard->SetDefaultVar("TRANSLITERATE", "Y");

	}

	function ShowStep()
	{

		$wizard =& $this->GetWizard();
		$step_length = intval($wizard->GetVar('WIZ_UNI_STEP_LENGTH'));
		$path = $wizard->package->path;

		CModule::IncludeModule("iblock");

		$this->content .= $this->ShowHiddenField("WIZ_UNI_DATA_DIR",WIZ_UNI_DATA_DIR);

		$this->content .= "<h3>".GetMessage("UNI_STEP2_HEADER_ADDITIONAL")."</h3>";

		$this->content .= GetMessage("UNI_STEP2_STEP_LENGTH1");
		$this->content .= " ".$this->ShowInputField("text", "WIZ_UNI_STEP_LENGTH", Array("size" => "3","maxlength"=>"3"))." ";
		$this->content .= GetMessage("UNI_STEP2_STEP_LENGTH2");

		$this->content .= "<br /><br />";

		$this->content .= '<label for="grain_wizICF_transliterate">'.$this->ShowCheckboxField("TRANSLITERATE", "Y",Array("id"=>"grain_wizICF_transliterate")).' '.GetMessage("UNI_STEP2_STEP_TRANSLITERATE").'</label>';
		$this->content .= "<br />";
		$this->content .= '<label for="grain_wizICF_force_fill">'.$this->ShowCheckboxField("FORCE_FILL", "Y",Array("id"=>"grain_wizICF_force_fill")).' '.GetMessage("UNI_STEP2_STEP_FORCE_FILL").'</label>';
		
	}

	function OnPostForm()
	{
		$wizard = &$this->GetWizard();
	
		global $DB;
	
		if ($wizard->IsNextButtonClick() || $wizard->IsFinishButtonClick())
		{

			$arErrors = Array();

			//if ($SectionsCount>WIZ_IBFC_MAX_SECTIONS) $arErrors[] = GetMessage('UNI_ERROR4',Array("#MAX#"=>WIZ_IBFC_MAX_SECTIONS));
			//if ($ElementsCount>WIZ_IBFC_MAX_ELEMENTS) $arErrors[] = GetMessage('UNI_ERROR5',Array("#MAX#"=>WIZ_IBFC_MAX_ELEMENTS));

			if(count($arErrors)>0) {
				$this->SetError(implode("<br />", $arErrors), "error1");
			} else {
			
				$wizard =& $this->GetWizard();
				$path = $wizard->package->path;

				GUniWizardTools::StoreVars($wizard->GetVars(true));

			}
			
		}
	}

}


class Step3 extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('UNI_STEP3_TITLE'));
		$this->SetNextStep("final");
		$this->SetPrevStep("step2");
		$this->SetStepID("step3");
	}

	function ShowStep()
	{

		unset($_SESSION["WIZ_UNI_POS"]);
		unset($_SESSION["WIZ_UNI_ERRORS"]);
		unset($_SESSION["WIZ_UNI_ADDED"]);
		unset($_SESSION["WIZ_UNI_ERROR_LOG"]);
		GUniWizardTools::ClearLogs();
	
		$wizard =& $this->GetWizard();
		$step_length = intval($wizard->GetVar('WIZ_UNI_STEP_LENGTH'));
		$path = $wizard->package->path;

		$this->content = "<style>";
		$this->content .= "table.uni-table-errors { width: 100% !important; border: 1px solid black; border-collapse: collapse }\n";
		$this->content .= "table.uni-table-errors td { padding: 5px; border: 1px solid black; color: red }\n";
		$this->content .= "table.uni-table-errors td.uni-table-errors-col-warning { padding: 5px; border: 1px solid black; color: orange }\n";
		$this->content .= "table.uni-table-errors td.uni-table-errors-col-message { padding: 5px; border: 1px solid black; color: green }\n";
		$this->content .= "#wiz_uni_progress { height: 20px; width: 599px; }\n";				
		$this->content .= "#wiz_uni_progress #wiz_uni_pb { height: 20px; background-color: #E0E9EC; }\n";				
		$this->content .= "#wiz_uni_progress #wiz_uni_pb #wiz_uni_pb_indicator { height: 20px; background-color: #B0BDC0; }\n";				
		$this->content .= "</style>";

		$this->content .= '<div style="padding: 20px;">';
		$this->content .= '<div id="wiz_uni_progress"></div>';
		$this->content .= '<div id="wait_message" style="display: none;"></div>';
		$this->content .= '<div id="output"><br /></div>';
		$this->content .= '</div>';
		$this->content .= '<script type="text/javascript" src="/bitrix/js/main/cphttprequest.js"></script>';
		$this->content .= '<script type="text/javascript" src="'.$path.'/js/script.js?'.time().'"></script>';
		$this->content .= '<script type="text/javascript">

var wiz_uni_lang = "'.LANGUAGE_ID.'";
var nextButtonID = "'.$wizard->GetNextButtonID().'";
var prevButtonID = "'.$wizard->GetPrevButtonID().'";
var formID = "'.$wizard->GetFormName().'";
var ajaxMessages = {wait:\''.GetMessage('UNI_STEP3_WAIT').'\'};
var path = "'.CUtil::JSEscape($path).'";
var step_length = "'.$step_length.'";
var sessid = "'.bitrix_sessid().'";

if (window.addEventListener) 
{
	window.addEventListener("load", RunScript, false);
	window.addEventListener("load", DisableButton, false);
}
else if (window.attachEvent) 
{
	window.attachEvent("onload", RunScript);
	window.attachEvent("onload", DisableButton);
}
</script>';
	}

}


class FinalStep extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('UNI_FINALSTEP_TITLE'));
		$this->SetStepID("final");
		$this->SetCancelStep("final");
		$this->SetCancelCaption(GetMessage('UNI_FINALSTEP_BUTTONTITLE'));
	}

	function ShowStep()
	{

		$this->content = GetMessage('UNI_FINALSTEP_CONTENT');
		$this->content .= GUniWizardTools::ShowAdv($this);

	}
}

class CancelStep extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('UNI_CANCELSTEP_TITLE'));
		$this->SetStepID("cancel");
		$this->SetCancelStep("cancel");
		$this->SetCancelCaption(GetMessage('UNI_CANCELSTEP_BUTTONTITLE'));
	}

	function ShowStep()
	{
		$this->content = GetMessage('UNI_CANCELSTEP_CONTENT');
	}
}
?>